## com.fasterxml.jackson.databind.annotation
Annotation Type JsonTypeIdResolver

    @Target(value={ANNOTATION_TYPE,TYPE})
    @Retention(value=RUNTIME)
    public @interface JsonTypeIdResolver

Annotation that can be used to plug a custom type identifier handler (`TypeIdResolver`) to be used by `TypeSerializer`s and `TypeDeserializer`s for converting between java types and type id included in JSON content. In simplest cases this can be a simple class with static mapping between type names and matching classes.

Required Element Summary
`Class<? extends TypeIdResolver>` `value` Defines implementation class of `TypeIdResolver` to use for converting between external type id (type name) and actual type of object.

Element Detail

### value

    public abstract Class<? extends TypeIdResolver> value

  Defines implementation class of `TypeIdResolver` to use for converting between external type id (type name) and actual type of object.

Copyright © 2012 FasterXML. All Rights Reserved.